DEMANGLE(1)

NAME
demangle - Maak door C++ gemangelde namen voor symbolen ongedaan

SYNOPSIS

demangle

BESCHRIJVING

demangle leest een lijst met C++ gemangelde symboolnamen vanaf standaardinvoer en converteert deze namen naar een goed leesbare vorm naar standaarduitvoer.

Dit hulpmiddel is een onderdeel van het software-ontwikkelpakket van KDE.

VOORBEELD

Maak een bestand genaamd namen die de volgende gemangelde symboolnamen bevatten:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Deze namen kunnen dan als volgt worden ontmageld:

    example$ demangle < namen Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

ZIE OOK

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.